<div class="container">
    <div *ngIf="state === 'loading'">

        <div class="loadingAnimation">
            <spinner></spinner>
            <h2>Chargement ...</h2>
        </div>

    </div>
    <div *ngIf="state === 'failed'">
        <div class="message">
            <h1>Erreur</h1>
            <div class="text-danger">
                <!--La billetterie est actuellement indisponible, car le BdE effectue une clôture
                comptable. Revenez dans quelques heures.-->
                Le serveur de la billetterie est injoignable. Essayez de rafraîchir la page et vérifiez votre connexion
                internet. Si cette erreur persiste, contactez-nous.
            </div>

        </div>

    </div>
    <div *ngIf="state === 'success' && event">

        <div id="topbar" class="mt-4 mb-4">
            <h1><img src="/assets/bde.png" height="50"> Billetterie BdE INSA Lyon</h1>
            <img [src]="event.ui_banner" alt="bannière évnèmenet" style="width: 100%; margin-left: auto"/>
        </div>
        <div class="d-block d-md-none d-lg-none d-xl-none">
            <div class="card text-white bg-danger mb-3">
                <div class="card-header">
                    Attention!
                </div>
                <div class="card-body">
                    <p>La billetterie doit être utilisée sur un écran de plus grande taille (Ordinateurs ...).</p>
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-lg-4 d-none d-lg-block">
                <app-sidebar [event]="event"></app-sidebar>
            </div>

            <div class="col-lg-8 col-12">
                <app-shop [event]="event"></app-shop>
            </div>
        </div>
    </div>
</div>
